<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:context="http://www.springframework.org/schema/context"
	xmlns:p="http://www.springframework.org/schema/p"
	xmlns:security="http://www.springframework.org/schema/security"
	xmlns:mvc="http://www.springframework.org/schema/mvc"
	xmlns:oauth="http://www.springframework.org/schema/security/oauth2"
	xsi:schemaLocation="http://www.springframework.org/schema/beans
							http://www.springframework.org/schema/beans/spring-beans.xsd
						http://www.springframework.org/schema/context
							http://www.springframework.org/schema/context/spring-context.xsd
						http://www.springframework.org/schema/security
							http://www.springframework.org/schema/security/spring-security.xsd
						http://www.springframework.org/schema/security/oauth2
							http://www.springframework.org/schema/security/spring-security-oauth2.xsd
						http://www.springframework.org/schema/mvc
							http://www.springframework.org/schema/mvc/spring-mvc.xsd">

	<context:component-scan
		base-package="com.eactive.eai.authserver" />
	<context:component-scan
		base-package="com.eactive.eai.custom.pretty" />
	<context:component-scan
		base-package="com.eactive.eai.adapter" />
	<context:component-scan
		base-package="com.eactive.eai.manage" />
	<context:annotation-config />
	<mvc:annotation-driven />
	<mvc:default-servlet-handler />
	<mvc:interceptors>
		<bean class="com.eactive.eai.adapter.interceptor.HttpResponseLoggingInterceptor"/>
	</mvc:interceptors>
</beans>